package de.hs_mannheim.informatik.spreadsheet;

import java.io.FileNotFoundException;
import java.util.Scanner;

/**
 * Part of a simplified spreadsheet system for the PR1 programming lab at Hochschule Mannheim.
 *
 * @author  Oliver Hummel
 */
public class Axel {

	public static void main(String[] args) throws FileNotFoundException {
		String cell, in;
		int rows, cols;
		Spreadsheet spr=new Spreadsheet(99,26);
		Scanner kb = new Scanner(System.in);
		System.out.printf("1. New\n"
				+ "2. Load\n"
				+ "Eingabe:");
		in=kb.nextLine();
		switch(in) {
		case("1"):
			System.out.print("Rows:");
			rows=Integer.parseInt(kb.nextLine());
			System.out.print("Cols:");
			cols=Integer.parseInt(kb.nextLine());
			spr=new Spreadsheet(rows,cols);
		case("2"):
			System.out.print("File Name:");
			in=kb.nextLine();
			spr.readCsv("tmp/"+in);
		}
		
		while(true) {
			System.out.println(spr);
			System.out.print("Cell:");
			cell=kb.nextLine();
			if(cell.equals("/exit")) {
				System.out.println("Auf Wiedersehen");
				break;
			}
			System.out.print("Value:");
			in=kb.nextLine();
			if(in.equals("/exit")) {
				System.out.println("Auf Wiedersehen");
				break;
			}
			spr.put(cell,in);
		}
		spr.saveCsv("tmp/test.csv");
		kb.close();
	}

}